Name:          monodevelop-database
Version:       3.0.6
Release:       %mkrel 2
License:       MIT
BuildArch:     noarch
URL:           http://www.go-mono.com
Source0:       http://download.mono-project.com/sources/monodevelop-database/%{name}-%{version}.tar.bz2
BuildRequires: mono-devel
BuildRequires: monodevelop >= %version
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: mysql-connector-net-devel
BuildRequires: mono-addins-devel
Summary:       Monodevelop Database Addin
Group:         Development/Other

%description
Monodevelop Database Addin

%package devel
Summary:  Development files for MonoDevelop Database Add-in
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Database Add-in for MonoDevelop. Development package.

The %{name}-devel package contains development 
files for %{name}.

%prep
%setup -q
cp -f %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll contrib/MySql

%build
./configure --prefix=%_prefix
make

%install
rm -rf "%{buildroot}"
%makeinstall_std

mkdir -p %{buildroot}%_prefix/share/pkgconfig
for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done
#missed monodevelop addins
ln -sf %_prefix/lib/mono/mysql-connector-net/MySql.Data.dll %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/MySql.Data.dll

%files -f %name.lang
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/icons/
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/

%files devel
%_prefix/lib/pkgconfig/monodevelop-database.pc




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-2.mga3
+ Revision: 360260
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 3.0.6-1.mga3
+ Revision: 343112
- New version 3.0.6

* Tue Jul 31 2012 matteo <matteo> 3.0.3.5-1.mga3
+ Revision: 276784
- new version

* Sat Jul 21 2012 matteo <matteo> 3.0.3.4-1.mga3
+ Revision: 273088
- new version

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-1.mga3
+ Revision: 272614
- new version

* Tue Apr 10 2012 anaselli <anaselli> 2.8.8.4-1.mga2
+ Revision: 230146
- new version 2.8.8.4

* Mon Feb 20 2012 anaselli <anaselli> 2.8.6.5-1.mga2
+ Revision: 211257
- New version 2.8.6.5

* Wed Feb 08 2012 matteo <matteo> 2.8.6.4-1.mga2
+ Revision: 206438
- new stable version

* Mon Feb 06 2012 matteo <matteo> 2.8.6.3-1.mga2
+ Revision: 205409
- new version

* Sun Jan 08 2012 anaselli <anaselli> 2.8.5.1-1.mga2
+ Revision: 193372
- new version 2.8.5.1

* Thu Dec 08 2011 anaselli <anaselli> 2.8.4.2-1.mga2
+ Revision: 179022
- New version 2.8.4.2

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-2.mga2
+ Revision: 162525
- Release bump, imported to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162098
- new version 2.8.2

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154195
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144611
- fix group
- new version 2.6.0.1

* Thu Jul 14 2011 anaselli <anaselli> 2.4-3.mga2
+ Revision: 124266
- Added missed line when imported

* Sun Jul 03 2011 anaselli <anaselli> 2.4-2.mga2
+ Revision: 117775
- Fix devel package

  + stblack <stblack>
    - imported package monodevelop-database

